Create a service request for Entrata
https://api.propexo.com/v1/service-requests/entrata/| Method |
|---|
| maintenance/sendWorkOrders |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
The Propexo unique identifier for the employee
A description of the service request
The due date associated with the service request
Whether or not the tenant has granted permission to enter the unit associated with the service request
The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).
The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the lease
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request category
The Propexo unique identifier for the service request priority
The Propexo unique identifier for the service request location
The Propexo unique identifier for the service request problem
The Propexo unique identifier for the employee
A description of the service request
The due date associated with the service request
Whether or not the tenant has granted permission to enter the unit associated with the service request
The scheduled end date associated with the request. If provided, scheduled_start_date must be provided as well, and they must be the same day (Entrata restriction).
The scheduled start date associated with the request. If provided, scheduled_end_date must be provided as well, and they must be the same day (Entrata restriction).
The Propexo unique identifier for the unit
The Propexo unique identifier for the resident
The Propexo unique identifier for the lease
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_description": "string",
"access_is_authorized": true,
"phone_1": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"service_request_priority_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"employee_id": "string",
"service_description": "string",
"due_date": "2024-07-29T15:51:28.071Z",
"access_is_authorized": true,
"is_floating": true,
"scheduled_end_date": "2024-07-29T15:51:28.071Z",
"scheduled_start_date": "2024-07-29T15:51:28.071Z",
"phone_1": "string",
"unit_id": "string",
"resident_id": "string",
"lease_id": "string"
}
}